POST https://gate.reviopay.com/api/v1/purchases/{id}/mark_as_paid/Description
Will set the purchase’s status to paid. purchase.marked_as_paid field will also be set to true to distinguish this purchase.
Request body
| Field | Type | Required | Description |
|---|---|---|---|
paid_on | number | no | UTC timestamp at which this purchase was paid. Current time will be used if omitted. |
Example
curl -X POST https://gate.reviopay.com/api/v1/purchases/{id}/mark_as_paid/ \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"paid_on": 1635162311
}'Responses
| Status | Description |
|---|---|
200 | OK |
404 | No such object |